Bug 514 - Can't use rpcclient to upload Win2k (version 3) printer drivers
Can't use rpcclient to upload Win2k (version 3) printer drivers
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.0preX
Other other
: P3 normal
: 3.0.1
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 23:27 UTC by James Henstridge
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
samba-adddriver-version.patch (3.02 KB, patch)
2003-09-25 23:28 UTC, James Henstridge
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Henstridge 2003-09-25 23:27:49 UTC
When using the rpcclient adddriver command to upload a printer driver to a Samba
server, it will always set the printer driver version to 2 if arch=="Windows NT
x86".  This makes it impossible to upload a newer Win2k printer driver along
side the older WinNT driver.

Attached is a patch against Samba 3.0.0 that adds a third argument to the
adddriver command to specify the printer driver version.  If the argument is
omitted, it will pick the default printer driver version corresponding to the
architecture, like it did before.
Comment 1 James Henstridge 2003-09-25 23:28:53 UTC
Created attachment 166 [details]
samba-adddriver-version.patch

Patch to add extra argument to adddriver command.
Includes an update to the DocBook version of the manpage.
Comment 2 James Henstridge 2003-11-04 23:34:26 UTC
Any chance of getting this patch applied for Samba-3.0.1?  It works well for me,
updates the documentation and is fairly low risk.  If there are problems with
it, what should I do to fix it?
Comment 3 Tim Potter 2003-11-05 08:43:40 UTC
Checked in!  Sorry for the delay.

PS: gnome-python rocks!
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:06:15 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:18:54 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.